<?xml version="1.0" encoding="utf-8"?>
<permissions>
    <privapp-permissions package="com.android.carrierconfig">
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
    </privapp-permissions>

    <privapp-permissions package="com.mediatek.ims">
        <permission name="android.permission.LOCATION_BYPASS"/>
        <permission name="android.permission.MODIFY_PHONE_STATE"/>
        <permission name="android.permission.NETWORK_SIGNAL_STRENGTH_WAKEUP"/>
        <permission name="android.permission.PACKET_KEEPALIVE_OFFLOAD"/>
        <permission name="android.permission.READ_PRECISE_PHONE_STATE"/>
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
        <permission name="android.permission.UPDATE_DEVICE_STATS"/>
    </privapp-permissions>

    <privapp-permissions package="com.mediatek.location.lppe.main">
        <permission name="android.permission.LOCATION_BYPASS"/>
        <permission name="android.permission.MODIFY_PHONE_STATE"/>
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
    </privapp-permissions>

    <privapp-permissions package="com.mediatek.telephony">
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
    </privapp-permissions>

</permissions>
